Package org.globus.gsi.stores

# Class ResourceTrustAnchor

java.lang.Object
org.globus.gsi.stores.AbstractResourceSecurityWrapper<TrustAnchor>
org.globus.gsi.stores.ResourceTrustAnchor

All Implemented Interfaces:
  `SecurityObjectWrapper<TrustAnchor>`, `Storable`

public class ResourceTrustAnchor extends AbstractResourceSecurityWrapper<TrustAnchor>
Created by IntelliJ IDEA. User: turtlebender Date: Dec 29, 2009 Time: 11:37:52 AM To change this template use File | Settings | File Templates.

## Field Summary

### Fields inherited from class org.globus.gsi.stores.AbstractResourceSecurityWrapper

`globusResolver, globusResource`

## Constructor Summary

Constructors
Constructor
Description
`ResourceTrustAnchor(boolean inMemory, GlobusResource globusResource)`
`ResourceTrustAnchor(boolean inMemory, GlobusResource globusResource, TrustAnchor cachedAnchor)`
`ResourceTrustAnchor(String fileName)`
`ResourceTrustAnchor(String fileName, TrustAnchor cachedAnchor)`

## Method Summary

Modifier and Type
Method
Description
`protected TrustAnchor`
`create(GlobusResource globusResource)`
`TrustAnchor`
`getTrustAnchor()`
`void`
`store()`

### Methods inherited from class org.globus.gsi.stores.AbstractResourceSecurityWrapper

`getAlias, getFile, getGlobusResource, getResourceURL, getSecurityObject, hasChanged, init, init, init, init, refresh`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceTrustAnchor

public ResourceTrustAnchor(String fileName) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### ResourceTrustAnchor

public ResourceTrustAnchor(boolean inMemory, GlobusResource globusResource) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### ResourceTrustAnchor

public ResourceTrustAnchor(String fileName, TrustAnchor cachedAnchor) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### ResourceTrustAnchor

public ResourceTrustAnchor(boolean inMemory, GlobusResource globusResource, TrustAnchor cachedAnchor) throws ResourceStoreException

Throws:
  `ResourceStoreException`

## Method Details

### getTrustAnchor

public TrustAnchor getTrustAnchor() throws ResourceStoreException

Throws:
  `ResourceStoreException`

### create

protected TrustAnchor create(GlobusResource globusResource) throws ResourceStoreException

Specified by:
  `create` in class `AbstractResourceSecurityWrapper<TrustAnchor>`
Throws:
  `ResourceStoreException`

### store

public void store() throws ResourceStoreException

Throws:
  `ResourceStoreException`